summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-08-30 17:32:40 +0200
committerMichał Górny <mgorny@gentoo.org>2019-08-30 17:32:40 +0200
commit5ea17e6b6a9f10ebb2edcacd6a73391029ee6ba5 (patch)
tree9c511466347b631b4cfa7b565d7c195d93feb883 /sys-firmware
parentnet-analyzer/tcpflow: Port to python-single-r1 (diff)
downloadgentoo-5ea17e6b6a9f10ebb2edcacd6a73391029ee6ba5.tar.gz
gentoo-5ea17e6b6a9f10ebb2edcacd6a73391029ee6ba5.tar.bz2
gentoo-5ea17e6b6a9f10ebb2edcacd6a73391029ee6ba5.zip
sys-firmware/nvidia-firmware: Backport python-any-r1 usage
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sys-firmware')
-rw-r--r--sys-firmware/nvidia-firmware/nvidia-firmware-325.15.ebuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/sys-firmware/nvidia-firmware/nvidia-firmware-325.15.ebuild b/sys-firmware/nvidia-firmware/nvidia-firmware-325.15.ebuild
index 551be618ef3..dd9d399df59 100644
--- a/sys-firmware/nvidia-firmware/nvidia-firmware-325.15.ebuild
+++ b/sys-firmware/nvidia-firmware/nvidia-firmware-325.15.ebuild
@@ -3,7 +3,8 @@
EAPI=5
-inherit unpacker
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 unpacker
NV_URI="http://us.download.nvidia.com/XFree86/"
X86_NV_PACKAGE="NVIDIA-Linux-x86-${PV}"
@@ -19,7 +20,7 @@ LICENSE="MIT NVIDIA-r2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-DEPEND="=dev-lang/python-2*"
+DEPEND="${PYTHON_DEPS}"
RDEPEND=""
RESTRICT="bindist mirror"
@@ -33,7 +34,7 @@ src_unpack() {
}
src_compile() {
- python2 "${DISTDIR}"/nvidia_extract_firmware-${PV}.py || die "Extracting firmwares failed..."
+ "${PYTHON}" "${DISTDIR}"/nvidia_extract_firmware-${PV}.py || die "Extracting firmwares failed..."
}
src_install() {